LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 03-13-2002, 09:04 AM   #1
thanko
Member
 
Registered: Feb 2002
Location: MI
Distribution: Slackware 9.1
Posts: 83

Rep: Reputation: 15
Red face libcrypto and libssl


I'm trying to install the latest snapshot of Wine from www.winehq.com. When I run the install, it fails dependency requirements for cups-libs. I got cups-libs and tried to install which then failed dependency for libcrypto.so and libssl.so. Which file do I need to get to update these two libs?
 
Old 03-13-2002, 09:25 AM   #2
neo77777
LQ Addict
 
Registered: Dec 2001
Location: Brooklyn, NY
Distribution: *NIX
Posts: 3,704

Rep: Reputation: 55
Search for these files on http://rpmfind.net, it will give you a package(s) where these files are.
 
Old 03-13-2002, 12:16 PM   #3
thanko
Member
 
Registered: Feb 2002
Location: MI
Distribution: Slackware 9.1
Posts: 83

Original Poster
Rep: Reputation: 15
Unhappy

OK, I went to rpmfind.net and downloaded and installed this file: openssl-0.9.6b-8.i386.rpm. When I try to install cups-libs-1.1.14-1.i386.rpm I get this message:

error: failed dependencies:
libcrypto.so.0.9.6.1 is needed by cups-libs-1.1.14-1
libssl.so.0.9.6.1 is needed by cups-libs-1.1.14-1
RESULT=1

I'm guessing this is a version conflict (is it?) but I can't find openssl version greater than the one installed.

Thanks for helping.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
libssl & libcrypto piXy Mandriva 1 12-12-2003 07:28 PM
libcrypto libssl Suse 8.2 and Linux - Software 0 11-01-2003 11:23 AM
needed libcrypto.so.2 and libssl.so.2 n3wb1e Linux - Software 1 06-09-2003 06:19 PM
libcrypto and libssl Ju Deddo Koinu Linux - Software 1 05-01-2003 11:54 PM
libcrypto.so.2 & libssl.so.2 safrout Linux - Software 11 06-28-2002 08:48 AM


All times are GMT -5. The time now is 07:34 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration